Bug 1900698 (CVE-2020-27779) - CVE-2020-27779 grub2: cutmem command allows privileged user to remove memory regions when Secure Boot is enabled
Summary: CVE-2020-27779 grub2: cutmem command allows privileged user to remove memory ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-27779
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1913922 1932888 1932889 1932890 1932891 1932892 1932893 1932894 1932895 1932898 1932901 1932902 1932903 1932904 1932905 1932906 1932907 1932909 1934250 1913912 1913913 1913914 1913915 1913916 1913917 1913918 1913919 1913920 1913921 1932896 1932897 1932899 1932900 1932908 1932910 1932912 1932913 1932915 1932916 1932918
Blocks: 1899965
TreeView+ depends on / blocked
 
Reported: 2020-11-23 14:49 UTC by Marco Benatto
Modified: 2021-03-09 20:47 UTC (History)
7 users (show)

Fixed In Version: grub 2.06
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in grub2. The cutmem command does not honor secure boot locking allowing an privileged attacker to remove address ranges from memory creating an opportunity to circumvent SecureBoot protections after proper triage about grub's memory layout. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2021-03-03 01:02:11 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2021:0730 0 None None None 2021-03-04 13:50:03 UTC
Red Hat Product Errata RHBA-2021:0731 0 None None None 2021-03-04 14:03:37 UTC
Red Hat Product Errata RHBA-2021:0791 0 None None None 2021-03-09 20:47:50 UTC
Red Hat Product Errata RHSA-2021:0696 0 None None None 2021-03-02 19:21:26 UTC
Red Hat Product Errata RHSA-2021:0697 0 None None None 2021-03-02 19:25:20 UTC
Red Hat Product Errata RHSA-2021:0698 0 None None None 2021-03-02 19:17:10 UTC
Red Hat Product Errata RHSA-2021:0699 0 None None None 2021-03-02 20:48:03 UTC
Red Hat Product Errata RHSA-2021:0700 0 None None None 2021-03-02 20:50:39 UTC
Red Hat Product Errata RHSA-2021:0701 0 None None None 2021-03-02 21:01:58 UTC
Red Hat Product Errata RHSA-2021:0702 0 None None None 2021-03-02 20:09:42 UTC
Red Hat Product Errata RHSA-2021:0703 0 None None None 2021-03-02 19:36:38 UTC
Red Hat Product Errata RHSA-2021:0704 0 None None None 2021-03-02 19:53:50 UTC

Description Marco Benatto 2020-11-23 14:49:09 UTC
The grub2's cutmem command does not honor secure boot locking. This allows an privileged attacker to remove address ranges from memory creating an opportunity to circumvent SecureBoot protections after proper triage about grub's memory layout.

Comment 4 Marco Benatto 2021-03-02 18:39:51 UTC
Created grub2 tracking bugs for this issue:

Affects: fedora-all [bug 1934250]

Comment 5 errata-xmlrpc 2021-03-02 19:17:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2021:0698 https://access.redhat.com/errata/RHSA-2021:0698

Comment 6 errata-xmlrpc 2021-03-02 19:21:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:0696 https://access.redhat.com/errata/RHSA-2021:0696

Comment 7 errata-xmlrpc 2021-03-02 19:25:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2021:0697 https://access.redhat.com/errata/RHSA-2021:0697

Comment 8 errata-xmlrpc 2021-03-02 19:36:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.3 Advanced Update Support

Via RHSA-2021:0703 https://access.redhat.com/errata/RHSA-2021:0703

Comment 9 errata-xmlrpc 2021-03-02 19:53:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.2 Advanced Update Support

Via RHSA-2021:0704 https://access.redhat.com/errata/RHSA-2021:0704

Comment 10 errata-xmlrpc 2021-03-02 20:09:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.4 Advanced Update Support
  Red Hat Enterprise Linux 7.4 Update Services for SAP Solutions
  Red Hat Enterprise Linux 7.4 Telco Extended Update Support

Via RHSA-2021:0702 https://access.redhat.com/errata/RHSA-2021:0702

Comment 11 errata-xmlrpc 2021-03-02 20:48:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:0699 https://access.redhat.com/errata/RHSA-2021:0699

Comment 12 errata-xmlrpc 2021-03-02 20:50:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.7 Extended Update Support

Via RHSA-2021:0700 https://access.redhat.com/errata/RHSA-2021:0700

Comment 13 errata-xmlrpc 2021-03-02 21:01:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.6 Extended Update Support

Via RHSA-2021:0701 https://access.redhat.com/errata/RHSA-2021:0701

Comment 14 Product Security DevOps Team 2021-03-03 01:02:11 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-27779


Note You need to log in before you can comment on or make changes to this bug.